unit UHelp;
(*
  Modal window to display various messages
  Code can be freely copied and used but not sold
  Original Author: minesadorada
*)
{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, Buttons,
  StdCtrls, ExtCtrls,umainform;

type

  { Thelpform }

  Thelpform = class(TForm)
    cmd_close: TBitBtn;
    img_icon: TImage;
    lbl_helpCaption: TLabel;
    Panel1: TPanel;
    txt_help: TStaticText;
    procedure cmd_closeClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  helpform: Thelpform;

implementation

{$R *.lfm}

{ Thelpform }

procedure Thelpform.FormShow(Sender: TObject);
begin
  lbl_helpCaption.Caption:=Application.Title;
  txt_help.Caption:=mainform.helptext;
end;

procedure Thelpform.FormCreate(Sender: TObject);
begin
  If Application.Icon <> Nil then
 Begin
  Icon:=Application.Icon;
  img_Icon.Picture.Icon:=Application.Icon;
 end;

end;

procedure Thelpform.FormClose(Sender: TObject; var CloseAction: TCloseAction);
begin
  mainform.show;
end;

procedure Thelpform.cmd_closeClick(Sender: TObject);
begin
  Close;
end;

end.

